> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Usage



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant-usage
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant-usage:
    get:
      tags:
        - Assistant Usage
      summary: Get Workspace Usage
      operationId: AssistantUsageController_getWorkspaceUsage_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: cycle
          required: false
          in: query
          schema:
            type: string
            pattern: ^\d{4}-(0[1-9]|1[0-2])$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantUsageResponseDto'
components:
  schemas:
    AssistantUsageResponseDto:
      type: object
      properties:
        summary:
          $ref: '#/components/schemas/AssistantUsageSummaryDto'
        daily:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageDayDto'
        byMember:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageMemberDto'
        byAgent:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageShareDto'
        byModel:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageShareDto'
        byCallKind:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageShareDto'
      required:
        - summary
        - daily
        - byMember
        - byAgent
        - byModel
        - byCallKind
    AssistantUsageSummaryDto:
      type: object
      properties:
        cycle:
          type: string
        cycleStart:
          type: string
        seats:
          type: number
        allottedCredits:
          type: string
        usedCredits:
          type: string
        refusedCount:
          type: number
        exhaustedSeats:
          type: number
      required:
        - cycle
        - cycleStart
        - seats
        - allottedCredits
        - usedCredits
        - refusedCount
        - exhaustedSeats
    AssistantUsageDayDto:
      type: object
      properties:
        date:
          type: string
        credits:
          type: string
      required:
        - date
        - credits
    AssistantUsageMemberDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - member
            - system
            - deleted
        userId:
          type: string
          nullable: true
        name:
          type: string
        email:
          type: string
          nullable: true
        usedCredits:
          type: string
        allottedCredits:
          type: string
        refusedCount:
          type: number
      required:
        - kind
        - userId
        - name
        - email
        - usedCredits
        - allottedCredits
        - refusedCount
    AssistantUsageShareDto:
      type: object
      properties:
        key:
          type: string
          nullable: true
        label:
          type: string
        credits:
          type: string
      required:
        - key
        - label
        - credits

````